Ticket #34015

TeraTerm に ATOK で日本語入力するとエラーが出る

Open Date: 2014-07-08 18:44 Last Update: 2014-07-26 10:45

Reporter: nishimoto Owner: (None)
Type: Bugs Status: Closed
Component: IME MileStone: 2014.3jp-public-beta (closed)
Priority: 5 - Medium Severity: 5 - Medium
Resolution: Fixed

Details

TeraTerm に ATOK 2014 で日本語入力するとエラーが出る現象を確認しています。

こちらで確認したのは TeraTerm 4.76, Windows 8.1 64ビットの組み合わせです。

2014.2jp でのエラー:

ERROR - queueHandler.flushQueue (18:05:11):
Error in func handleInputCompositionStart from eventQueue
Traceback (most recent call last):
  File "queueHandler.pyo", line 50, in flushQueue
  File "NVDAHelper.pyo", line 262, in handleInputCompositionStart
  File "NVDAObjects\__init__.pyo", line 79, in __call__
  File "appModules\ttermpro.pyo", line 18, in chooseNVDAObjectOverlayClasses
AttributeError: 'InputComposition' object has no attribute 'IAccessibleRole'

現状の jpbeta でのエラー:

ERROR - queueHandler.flushQueue (18:40:58):
Error in func handleInputCompositionStart from eventQueue
Traceback (most recent call last):
  File "queueHandler.py", line 50, in flushQueue
    func(*args,**kwargs)
  File "NVDAHelper.py", line 263, in handleInputCompositionStart
    curInputComposition=InputComposition(parent=parent)
  File "NVDAObjects\__init__.py", line 81, in __call__
    appModule.chooseNVDAObjectOverlayClasses(obj, clsList)
  File "appModules\ttermpro.py", line 18, in chooseNVDAObjectOverlayClasses
    if obj.windowClassName == "VTWin32" and obj.IAccessibleRole == oleacc.ROLE_SYSTEM_CLIENT:
AttributeError: 'InputComposition' object has no attribute 'IAccessibleRole'

Attachment File List

No attachments

Ticket History (3/4 Histories)

2014-07-08 18:44 Updated by: nishimoto
  • New Ticket "TeraTerm に ATOK で日本語入力するとエラーが出る" created
2014-07-08 19:09 Updated by: nishimoto
Comment

修正案:

To ssh://git@bitbucket.org/nvdajp/nvdajp.git
 * [new branch]      ti34015 -> ti34015

いまのところ ttermpro.py ではなく InputComposition を直そうという方針です。

2014-07-09 08:51 Updated by: nishimoto
Comment

日本語テスト版 jpalpha140709

https://dl.dropboxusercontent.com/u/62564469/nvda_jpalpha140709.exe

#34015#33999 の作業がマージされています。

2014-07-26 10:45 Updated by: nishimoto
  • Ticket Close date is changed to 2014-07-26 10:45
  • Status Update from Open to Closed
  • Resolution Update from Accepted to Fixed
Comment

jpbeta に ti34015 をマージしました。

To ssh://git@bitbucket.org/nvdajp/nvdajp.git
   b678388..bf51e2a  jpbeta -> jpbeta

Edit

Please login to add comment to this ticket » Login